function [outputs] = process(inputs)

persistent first_sim s a

if isempty(first_sim)
    % initialization
    s = 'http://byu.apmonitor.com';
    a = ['process' int2str(rand()*10000)];
    msg = process_init(s,a);
    disp(msg)
end

u_meas = inputs(1);

apm_meas(s,a,'u',u_meas);

apm(s,a,'solve');

y = apm_tag(s,a,'y.model');

outputs(1) = y;

if isempty(first_sim)
    first_sim = false;
end

return